commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Gregory <garydgreg...@gmail.com>
Subject Re: [beanutils] Version 1.9.2 uses FastHashMap in class PropertyUtilsBean, but FastHashMap does not exists in collections4
Date Tue, 30 Sep 2014 15:41:34 GMT
Porting BeanUtils to Collections4 would be a welcome patch! :-)

Gary

On Tue, Sep 30, 2014 at 11:14 AM, Konrad Zuse <thekonradzuse@hotmail.com>
wrote:

> Thank you... It's good to know they fixed things, but doesn't this also
> cause some unneeded compatibility issues with other apache products like
> BeanUtils?
>
> Or will we eventually be reworking other parts like collections which will
> eventually make everything compatible?
>
> > Subject: RE: [beanutils] Version 1.9.2 uses FastHashMap in class
> PropertyUtilsBean, but FastHashMap does not exists in collections4
> > Date: Tue, 30 Sep 2014 11:06:06 -0400
> > From: rsprinkle@vhainc.com
> > To: user@commons.apache.org
> >
> > Because they started using generics and backward compatibility is just
> > not possible.    So they went for a clean break and fixed a lot of
> > outstanding issues.
> >
> > > -----Original Message-----
> > > From: Konrad Zuse [mailto:thekonradzuse@hotmail.com]
> > > Sent: Tuesday, September 30, 2014 11:04 AM
> > > To: Commons Users List
> > > Subject: RE: [beanutils] Version 1.9.2 uses FastHashMap in class
> > > PropertyUtilsBean, but FastHashMap does not exists in collections4
> > >
> > > Not an answer, but why would they make it so it wasn't backwards
> > > compatible, and whydid they not include other parts that were a part
> > of 3?  Is
> > > 4 in beta/alpha or what?  I would think everything would flow
> > nicely...?
> > >
> > > > Date: Tue, 30 Sep 2014 16:42:06 +0200
> > > > Subject: Re: [beanutils] Version 1.9.2 uses FastHashMap in class
> > > > PropertyUtilsBean, but FastHashMap does not exists in collections4
> > > > From: thomas.neidhart@gmail.com
> > > > To: user@commons.apache.org
> > > >
> > > > Hi Florian,
> > > >
> > > > beanutils 1.9 still requires a collections 3.x jar in your
> > classpath,
> > > > it has not yet been updated for the latest collections release.
> > > >
> > > > Collections 4.0 is not binary / source compatible with collections
> > 3.x
> > > > but can be used together as it uses a different package name
> > > > (o.a.c.collections4) and maven coordinates.
> > > >
> > > > Regards,
> > > >
> > > > Thomas
> > > >
> > > >
> > > > On Tue, Sep 30, 2014 at 4:32 PM, <Florian.Marquardt@dachser.com>
> > > wrote:
> > > >
> > > > >
> > > > > Hi All
> > > > >
> > > > > We have tried to update our common libs. We have updated to
> > > > > Beanutils 1.9.2 and collection4 4.0.
> > > > > These packages are incompatible, or did i get something wrong.
> > > > >
> > > > > I always receive this error
> > > > > Stacktrace]
> > > > > java.lang.NoClassDefFoundError:
> > > > > org/apache/commons/collections/FastHashMap
> > > > >         at
> > > > >
> > > org.apache.commons.beanutils.PropertyUtilsBean.getMappedPropertyDesc
> > > > > riptors
> > > > > (PropertyUtilsBean.java:723)
> > > > >         at
> > > > >
> > > org.apache.commons.beanutils.PropertyUtilsBean.getMappedPropertyDesc
> > > > > riptors
> > > > > (PropertyUtilsBean.java:743)
> > > > >         at
> > > > >
> > > org.apache.commons.beanutils.PropertyUtilsBean.getPropertyDescriptor
> > > > > (PropertyUtilsBean.java:956)
> > > > >         at
> > > > > org.apache.commons.beanutils.PropertyUtilsBean.isWriteable
> > > > > (PropertyUtilsBean.java:1466)
> > > > >         at
> > > > > org.apache.commons.beanutils.BeanUtilsBean.copyProperties
> > > > > (BeanUtilsBean.java:277)
> > > > >         at org.apache.commons.beanutils.BeanUtils.copyProperties
> > > > > (BeanUtils.java:135)
> > > > >
> > > > > Greetings
> > > > > Florian
> > > > >
> > > > >
> > > > >
> > --------------------------------------------------------------------
> > > > > - To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
> > > > > For additional commands, e-mail: user-help@commons.apache.org
> > > > >
> > > > >
> > >
> >
> > ---------------------------------------------------------------------
> > To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
> > For additional commands, e-mail: user-help@commons.apache.org
> >
>




-- 
E-Mail: garydgregory@gmail.com | ggregory@apache.org
Java Persistence with Hibernate, Second Edition
<http://www.manning.com/bauer3/>
JUnit in Action, Second Edition <http://www.manning.com/tahchiev/>
Spring Batch in Action <http://www.manning.com/templier/>
Blog: http://garygregory.wordpress.com
Home: http://garygregory.com/
Tweet! http://twitter.com/GaryGregory

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message